package cn.com.tenlion.systembase.pojo.vos.keyareacheckrenovation;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: KeyAreaCheckRenovationVO
 * @Description: 重点地区排查整治
 * @Author: CodeFactory
 * @Date: 2021-10-12 16:37:43
 * @Version: 3.0
 **/
@ApiModel
public class KeyAreaCheckRenovationVO {

    @ApiModelProperty(name = "securityArea", value = "治安重点地区")
    private String securityArea;
    @ApiModelProperty(name = "securityQuestion", value = "治安突出问题字典表ID")
    private String securityQuestion;
    @ApiModelProperty(name = "securityQuestionName", value = "治安突出问题名称")
    private String securityQuestionName;
    @ApiModelProperty(name = "securityQuestionCode", value = "治安突出问题编码")
    private String securityQuestionCode;
    @ApiModelProperty(name = "involveAreaType", value = "涉及区域类型字典表ID")
    private String involveAreaType;
    @ApiModelProperty(name = "involveAreaTypeName", value = "涉及区域类型名称")
    private String involveAreaTypeName;
    @ApiModelProperty(name = "involveAreaTypeCode", value = "涉及区域类型编码")
    private String involveAreaTypeCode;
    @ApiModelProperty(name = "involveAreaRange", value = "涉及区域范围")
    private String involveAreaRange;
    @ApiModelProperty(name = "renovationLeadDept", value = "整治牵头单位")
    private String renovationLeadDept;
    @ApiModelProperty(name = "renovationJoinDept", value = "整治参与单位")
    private String renovationJoinDept;
    @ApiModelProperty(name = "leadDeptMan", value = "整治牵头单位负责人姓名")
    private String leadDeptMan;
    @ApiModelProperty(name = "leadDeptPhone", value = "整治牵头单位负责人联系方式")
    private String leadDeptPhone;
    @ApiModelProperty(name = "rectificationTime", value = "整改时限")
    @CheckEmptyAnnotation(name = "整改时限", verifyType = "date")
    private String rectificationTime;
    @ApiModelProperty(name = "renovationCriminalCount", value = "整治期间破获刑事案件数")
    @CheckNumberAnnotation(name = "整治期间破获刑事案件数")
    private Integer renovationCriminalCount;
    @ApiModelProperty(name = "renovationSecurityCount", value = "整治期间查处治安案件数")
    @CheckNumberAnnotation(name = "整治期间查处治安案件数")
    private Integer renovationSecurityCount;
    @ApiModelProperty(name = "renovationSituationw", value = "整治情况")
    private String renovationSituationw;
    @ApiModelProperty(name = "effectEvaluation", value = "效果评估字典表ID")
    private String effectEvaluation;
    @ApiModelProperty(name = "effectEvaluationName", value = "效果评估名称")
    private String effectEvaluationName;
    @ApiModelProperty(name = "effectEvaluationCode", value = "效果评估编码")
    private String effectEvaluationCode;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "longitude", value = "经度")
    private String longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private String latitude;

    public String getSecurityArea() {
        return securityArea == null ? "" : securityArea.trim();
    }

    public void setSecurityArea(String securityArea) {
        this.securityArea = securityArea;
    }

    public String getSecurityQuestion() {
        return securityQuestion == null ? "" : securityQuestion.trim();
    }

    public void setSecurityQuestion(String securityQuestion) {
        this.securityQuestion = securityQuestion;
    }

    public String getSecurityQuestionName() {
        return securityQuestionName == null ? "" : securityQuestionName.trim();
    }

    public void setSecurityQuestionName(String securityQuestionName) {
        this.securityQuestionName = securityQuestionName;
    }

    public String getSecurityQuestionCode() {
        return securityQuestionCode == null ? "" : securityQuestionCode.trim();
    }

    public void setSecurityQuestionCode(String securityQuestionCode) {
        this.securityQuestionCode = securityQuestionCode;
    }

    public String getInvolveAreaType() {
        return involveAreaType == null ? "" : involveAreaType.trim();
    }

    public void setInvolveAreaType(String involveAreaType) {
        this.involveAreaType = involveAreaType;
    }

    public String getInvolveAreaTypeName() {
        return involveAreaTypeName == null ? "" : involveAreaTypeName.trim();
    }

    public void setInvolveAreaTypeName(String involveAreaTypeName) {
        this.involveAreaTypeName = involveAreaTypeName;
    }

    public String getInvolveAreaTypeCode() {
        return involveAreaTypeCode == null ? "" : involveAreaTypeCode.trim();
    }

    public void setInvolveAreaTypeCode(String involveAreaTypeCode) {
        this.involveAreaTypeCode = involveAreaTypeCode;
    }

    public String getInvolveAreaRange() {
        return involveAreaRange == null ? "" : involveAreaRange.trim();
    }

    public void setInvolveAreaRange(String involveAreaRange) {
        this.involveAreaRange = involveAreaRange;
    }

    public String getRenovationLeadDept() {
        return renovationLeadDept == null ? "" : renovationLeadDept.trim();
    }

    public void setRenovationLeadDept(String renovationLeadDept) {
        this.renovationLeadDept = renovationLeadDept;
    }

    public String getRenovationJoinDept() {
        return renovationJoinDept == null ? "" : renovationJoinDept.trim();
    }

    public void setRenovationJoinDept(String renovationJoinDept) {
        this.renovationJoinDept = renovationJoinDept;
    }

    public String getLeadDeptMan() {
        return leadDeptMan == null ? "" : leadDeptMan.trim();
    }

    public void setLeadDeptMan(String leadDeptMan) {
        this.leadDeptMan = leadDeptMan;
    }

    public String getLeadDeptPhone() {
        return leadDeptPhone == null ? "" : leadDeptPhone.trim();
    }

    public void setLeadDeptPhone(String leadDeptPhone) {
        this.leadDeptPhone = leadDeptPhone;
    }

    public String getRectificationTime() {
        return rectificationTime == null ? "" : rectificationTime.trim();
    }

    public void setRectificationTime(String rectificationTime) {
        this.rectificationTime = rectificationTime;
    }

    public Integer getRenovationCriminalCount() {
        return renovationCriminalCount == null ? 0 : renovationCriminalCount;
    }

    public void setRenovationCriminalCount(Integer renovationCriminalCount) {
        this.renovationCriminalCount = renovationCriminalCount;
    }

    public Integer getRenovationSecurityCount() {
        return renovationSecurityCount == null ? 0 : renovationSecurityCount;
    }

    public void setRenovationSecurityCount(Integer renovationSecurityCount) {
        this.renovationSecurityCount = renovationSecurityCount;
    }

    public String getRenovationSituationw() {
        return renovationSituationw == null ? "" : renovationSituationw.trim();
    }

    public void setRenovationSituationw(String renovationSituationw) {
        this.renovationSituationw = renovationSituationw;
    }

    public String getEffectEvaluation() {
        return effectEvaluation == null ? "" : effectEvaluation.trim();
    }

    public void setEffectEvaluation(String effectEvaluation) {
        this.effectEvaluation = effectEvaluation;
    }

    public String getEffectEvaluationName() {
        return effectEvaluationName == null ? "" : effectEvaluationName.trim();
    }

    public void setEffectEvaluationName(String effectEvaluationName) {
        this.effectEvaluationName = effectEvaluationName;
    }

    public String getEffectEvaluationCode() {
        return effectEvaluationCode == null ? "" : effectEvaluationCode.trim();
    }

    public void setEffectEvaluationCode(String effectEvaluationCode) {
        this.effectEvaluationCode = effectEvaluationCode;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
}
